HL2CrossbowWeaponBase = HL2CrossbowWeaponBase or class(CrossbowWeaponBase)

function HL2CrossbowWeaponBase:should_reload_immediately()
	return false
end

function HL2CrossbowWeaponBase:_update_stats_values(disallow_replenish)
	HL2CrossbowWeaponBase.super._update_stats_values(self, disallow_replenish)
end

local discharge_map = {}
local charge_map = {}

local function charge_discharge_material(discharged, charged)
	local discharged_ids = Idstring(discharged)
	local charged_ids = Idstring(charged)

	discharge_map[tostring(charged_ids:key())] = discharged_ids
	charge_map[tostring(discharged_ids:key())] = charged_ids
end

charge_discharge_material("units/mods/weapons/wpn_fps_bow_rebar_pts/wpn_fps_bow_rebar", "units/mods/weapons/wpn_fps_bow_rebar_pts/wpn_fps_bow_rebar_glow")

function HL2CrossbowWeaponBase:charge_rebar()
	for part_id, part in pairs(self._parts) do
		local current_material = tostring(part.unit:material_config():key())
		local new_material = charge_map[current_material]

		if new_material then
			part.unit:set_material_config(new_material, true, nil, 100)
		end
	end

	log("Charge Crossbow")
end

function HL2CrossbowWeaponBase:discharge_rebar()
	for part_id, part in pairs(self._parts) do
		local current_material = tostring(part.unit:material_config():key())
		local new_material = discharge_map[current_material]

		if new_material then
			part.unit:set_material_config(new_material, true, nil, 100)
		end
	end

	log("Discharge Crossbow")
end